Summary:	Font rendering capabilities for complex non-Roman writing systems
Summary(pl.UTF-8):	Wsparcie renderowania złożonych systemów pisma nierzymskiego
Name:		graphite2
Version:	1.3.13
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/silgraphite/%{name}-%{version}.tgz
# Source0-md5:	29616d4f9651706036ca25c111508272
Patch0:		%{name}-fix_wrong_linker_opts.patch
Patch1:		%{name}-includes-libs-perl.patch
URL:		http://graphite.sil.org/
BuildRequires:	cmake >= 2.8.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
# the rest for tests only
BuildRequires:	freetype-devel >= 2
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libicu-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphite is a project within SIL's Non-Roman Script Initiative and
Language Software Development groups to provide rendering capabilities
for complex non-Roman writing systems. Graphite can be used to create
"smart fonts" capable of displaying writing systems with various
complex behaviors. With respect to the Text Encoding Model, Graphite
handles the "Rendering" aspect of writing system implementation.

%description -l pl.UTF-8
Graphite to projekt w ramach grup SIL Non-Roman Script Initiative
(inicjatywy pism nierzymskich SIL) oraz Language Software Development
(tworzenia oprogramowania językowego) mający na celu zapewnienie
wsparcia dla złożonych systemów pisma nierzymskiego. Graphite może być
używany do tworzenia "inteligentnych fontów", będących w stanie
wyświelać systemy pisma o różnych złożonych zachowaniach.
Uwzględniając model kodowania tekstu (Text Encoding Model) Graphite
obsługuje aspekt renderowania całości implementacji systemów pisma.

%package devel
Summary:	Header files for graphite2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki graphite2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for graphite2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki graphite2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake .. \
	-DGRAPHITE2_VM_TYPE=direct

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# cmake's fake (with no dependencies); also obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgraphite2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog doc/*.txt
%attr(755,root,root) %{_bindir}/gr2fonttest
%attr(755,root,root) %{_libdir}/libgraphite2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgraphite2.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgraphite2.so
%{_includedir}/graphite2
%{_pkgconfigdir}/graphite2.pc
%{_datadir}/graphite2
%changelog
* Fri Aug 16 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/graphite2.git;a=log;h=33106ea27eb8a8b6229a15222862b886d55ae37f

* Thu Dec 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 33106ea
- updated to 1.3.13
- updated fix_wrong_linker_opts patch

* Sun Nov 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 7a4dc8d
- updated to 1.3.12
- updated fix_wrong_linker_opts patch

* Fri Jul 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 3606daf
- updated to 1.3.11
- updated fix_wrong_linker_opts patch

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> c2eb066
- updated to 1.3.10
- updated fix_wrong_linker_opts patch; also drop forcing SSE+SSE2 on x86
- old silgraphite library seems no longer used in tests

* Wed Dec 28 2016 Jakub Bogusz <qboosh@pld-linux.org> d225c00
- updated to 1.3.9

* Sat Apr 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 224e8c5
- updated to 1.3.8

* Fri Mar 18 2016 Jakub Bogusz <qboosh@pld-linux.org> e90ccd2
- updated to 1.3.7

* Sun Jan 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 8d7aad7
- updated to 1.3.5 (includes security fix)

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> f91c8b0
- updated to 1.3.3

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> b535eab
- updated to 1.3.2

* Sat Sep 05 2015 Jakub Bogusz <qboosh@pld-linux.org> 624d829
- updated to 1.3.1
- updated fix_wrong_linker_opts,includes-libs-perl patches
- removed obsolete no_harfbuzz_tests patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2d4dae7
- x32 rebuild
- release 2 (by relup.sh)

* Sat Feb 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 888aada
- updated to 1.2.4
- updated fix_wrong_linker_opts patch

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 6b9299a
- updated to 1.2.3 (note: new soname)

* Wed Sep 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 54adfbe
- updated to 1.1.3

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0379d63
- release 2 (by relup.sh)

* Wed Mar 28 2012 Jakub Bogusz <qboosh@pld-linux.org> b01b9f9
- updated to 1.1.1
- pl
- updated fix_wrong_linker_opts,includes-libs-perl patches

* Fri Oct 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9893ab4
- rel 1; fix files

* Thu Oct 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 451819a
- from gentoo

* Thu Oct 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ff6aecc
- almost raw

